package com.jxml.quick.access;

public class QSimpleIterator implements QIterator
{
    private Object current=null;

    public QSimpleIterator()
    {
    }

    public QSimpleIterator(Object current)
    {
	this.current=current;
    }

    public void setCurrent(Object current)
    {
	this.current=current;
    }

    public Object getCurrent()
    {
	return current;
    }

    public void getNext()
    {
	current=null;
    }

    public boolean isComplete()
    {
	return current==null;
    }

    public void clear()
    {
	current=null;
    }
}
